# == Schema Information
#
# Table name: dashboard_component_placements
#
#  id                     :bigint           not null, primary key
#  height                 :integer
#  width                  :integer
#  x                      :integer
#  y                      :integer
#  created_at             :datetime         not null
#  updated_at             :datetime         not null
#  dashboard_component_id :bigint
#  dashboard_id           :bigint
#
# Indexes
#
#  index_dashboard_component_placements_on_dashboard_component_id  (dashboard_component_id)
#  index_dashboard_component_placements_on_dashboard_id            (dashboard_id)
#
# Foreign Keys
#
#  fk_rails_...  (dashboard_component_id => dashboard_components.id) ON DELETE => cascade ON UPDATE => cascade
#  fk_rails_...  (dashboard_id => dashboards.id) ON DELETE => cascade ON UPDATE => cascade
#
class DashboardComponentPlacement < ApplicationRecord
  belongs_to :dashboard_component
  belongs_to :dashboard
end
