# == Schema Information
#
# Table name: dashboard_targets
#
#  id           :bigint           not null, primary key
#  desc         :string
#  module_name  :string
#  name         :string
#  parameters   :text
#  returns      :text
#  ui_hints     :text
#  created_at   :datetime         not null
#  updated_at   :datetime         not null
#  dashboard_id :string
#  module_id    :string
#
class DashboardTarget < ApplicationRecord
  has_many :dashboard_components

  def get_data(parameters)
    RxModule::Communicator.call_module_method(module_id, "/api/rx_module/dashboards/#{dashboard_id}", :post, parameters)
  end
end
